Skip to main content
Storage Services/Storage Services
GETStorage ServicesSince 4.10.20SynchronousAuth Required

QuerySoftwarePackage

QuerySoftwarePackage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • hostUuidStringRequired

      The Host UUID.

    • managementNodeUuidStringRequired

      The Management Node UUID.

    • installPathStringRequired

      The installation path.

    • unzipInstallPathStringRequired

      The unzip installation path.

    • typeStringRequired

      The installation package type.

    • md5sumStringRequired

      The installation package MD5 checksum value.

    • statusStringRequired

      The installation package status.

    • sizelongRequired

      The installation package size.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

  • errorErrorCodeRequired

    See error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      Reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      Reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/software-package

/zstack/v1/software-package

Operation ID

QuerySoftwarePackage

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/software-package' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "53c0433a817349f89f66532addeb8b6c", "name": "SoftwarePackage", "hostUuid": "53c0433a817349f89f66532addeb8b61", "managementNodeUuid": "53c0433a817349f89f66532addeb8b62", "installPath": "/root/file/ZStone-common-installer-5.4.18-1932.tar.gz", "unzipInstallPath": "/root/file/ZStone-common-installer-5.4.18-1932.tar.gz_2c1571fab770b5bab7f411d48aad5029_1762415407323/zstone-installer", "type": "zstone", "md5sum": "53c0433a817349f89f66532addeb8b63", "status": "Uploaded", "size": 1024, "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history